---
title: "List approval requests"
url: https://hexelstudio.com/docs/api/ciam-iam/approvals/list-approval-requests
---

# List approval requests

**GET** `/approvals/requests`

Lists the caller's organization.

## Query parameters

- `workflow_id: optional string`

  Workflow ID

- `status: optional string`

  Status filter

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`array of ApprovalRequest`)

- `created_at: optional string`

- `expires_at: optional string`

- `id: optional string`

- `reason: optional string`

- `request_data: optional array of integer`

- `request_type: optional string`

- `requester_user_id: optional string`

- `status: optional string`

- `updated_at: optional string`

- `workflow_id: optional string`

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/approvals/requests' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
[
  {
    "created_at": "2026-01-01T00:00:00Z",
    "expires_at": "2026-01-01T00:00:00Z",
    "id": "string",
    "reason": "string",
    "request_data": [
      0
    ],
    "request_type": "string",
    "requester_user_id": "string",
    "status": "string",
    "updated_at": "2026-01-01T00:00:00Z",
    "workflow_id": "string"
  }
]
```
